@echo off
if "x%1"=="x" goto usage
..\..\@\filcpy ..\..\@\filcpy.exe %1\filcpy.exe
if exist %1\filcpy.exe goto targetok
mkdir %1
..\..\@\filcpy ..\..\@\filcpy.exe %1\filcpy.exe
if not exist %1\filcpy.exe goto badTarget
:targetok
echo The files are being copied to the target directory.
%1\filcpy ..\..\@\filedt.exe %1\filedt.exe
%1\filcpy ..\..\@\filfnd.exe %1\filfnd.exe
%1\filcpy update.exe %1\update.exe
%1\filcpy 3script.dat %1\3script.dat
if exist %1\3c5x9\update.exe goto 3c5x9ok
mkdir %1\3c5x9
:3c5x9ok
%1\filcpy 3c5x9\update.exe %1\3c5x9\update.exe
%1\filcpy ..\..\netware\odi\3c5x9.com %1\3c5x9\3c5x9.com
echo The files have been copied successfully.
goto done

:badTarget
echo There is a problem with the target directory. 

:usage
echo You must give a target directory on the command line.

:done
rem %VERvlm SERVER\INSTALL.BAT v1.0
